<?php
// This file is part of Moodle - https://moodle.org/
//
// Moodle is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// Moodle is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with Moodle.  If not, see <https://www.gnu.org/licenses/>.

/**
 * Strings for component 'filter_generico', language 'fr', version '2.1'.
 *
 * @package     filter_generico
 * @category    string
 * @copyright   1999 Martin Dougiamas and contributors
 * @license     https://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
 */

defined('MOODLE_INTERNAL') || die();

$string['bundle'] = 'Paquet';
$string['dataset'] = 'Jeu de données';
$string['dataset_desc'] = 'Generico vous permet d\'extraire un jeu de données de la base de données pour l\'utiliser dans votre modèle. Il s\'agit d\'une fonctionnalité avancée. Entrez la partie sql d\'un appel $DB->get_records_sql ici.';
$string['datasetvars'] = 'Variables du jeu de données';
$string['datasetvars_desc'] = 'Mettez une liste de variables séparées par des virgules qui constituent les variables pour SQL. Vous pouvez et vous voudrez probablement utiliser des variables ici.';
$string['filterdescription'] = 'Convertir les chaînes de filtres en modèles fusionnés avec les données';
$string['filtername'] = 'Generico';
$string['pluginname'] = 'Generico';
$string['presets'] = 'Modèle de remplissage automatique avec un préréglage';
$string['presets_desc'] = 'Generico est livré avec des préréglages par défaut que vous pouvez utiliser directement ou pour vous aider à démarrer avec votre propre modèle. Choisissez-en un ici, ou créez simplement votre propre modèle à partir de zéro. Vous pouvez exporter un modèle sous forme de paquet en cliquant sur la case verte ci-dessus. Vous pouvez importer un paquet en le faisant glisser sur la case verte.';
$string['template'] = 'Le corps du modèle {$a}';
$string['template_desc'] = 'Placer le modèle ici ; définir les variables en les entourant de marques @@ par exemple @@variable@@';
$string['templatecount'] = 'Nombre de modèles';
$string['templatecount_desc'] = 'Le nombre de modèles que vous pouvez avoir. La valeur par défaut est 20.';
$string['templatedefaults'] = 'valeurs par défaut des variables (modèle {$a})';
$string['templatedefaults_desc'] = 'Définir les valeurs par défaut dans des ensembles de paires nom=valeur délimités par des virgules. Par ex. largeur=800,hauteur=900,sentiment=joie';
$string['templateend'] = 'Balises de fin (modèle {$a})';
$string['templateend_desc'] = 'Si votre modèle contient du contenu utilisateur, par exemple une boîte d\'informations, placez les balises de fermeture ici. L\'utilisateur saisira quelque chose comme {GENERICO:mytag_end} pour fermer le filtre.';
$string['templateheading'] = 'Paramètres du modèle Generico {$a}';
$string['templateheadingcss'] = 'Paramètres CSS/styles.';
$string['templateheadingjs'] = 'Paramètres Javascript.';
$string['templateinstructions'] = 'Instructions (modèle {$a})';
$string['templateinstructions_desc'] = 'Toutes les instructions saisies ici seront affichées sur le formulaire Atto Generico pour ce modèle. Elles doivent être courtes ou l\'affichage sera mauvais.';
$string['templatekey'] = 'La clef qui identifie le modèle {$a}';
$string['templatekey_desc'] = 'La clef doit être un mot et ne contenir que des chiffres et des lettres, des traits de soulignement, des traits d\'union et des points .';
$string['templatepageheading'] = 'Modèle : {$a}';
$string['templaterequire_amd'] = 'Charger via AMD';
$string['templaterequire_amd_desc'] = 'AMD est un mécanisme de chargement javascript. Si vous téléchargez ou créez un lien vers des bibliothèques javascript dans votre modèle, vous devrez peut-être décocher cette case. Cela ne s\'applique que pour Moodle 2.9 ou supérieur';
$string['templaterequire_css'] = 'Nécessite CSS (modèle {$a})';
$string['templaterequire_css_desc'] = 'Un lien (1 uniquement) vers un fichier CSS externe requis par ce modèle. Optionnel.';
$string['templaterequire_js'] = 'Nécessite JS (modèle {$a})';
$string['templaterequire_js_desc'] = 'Un lien (1 uniquement) vers un fichier JS externe requis par ce modèle. Optionnel.';
$string['templatescript'] = 'JS personnalisé (modèle {$a})';
$string['templatescript_desc'] = 'Si votre modèle doit exécuter un javascript personnalisé, saisissez-le ici. Il sera exécuté une fois tous les éléments chargés sur la page.';
$string['templatestyle'] = 'CSS personnalisé (modèle {$a})';
$string['templatestyle_desc'] = 'Saisir ici n\'importe quel CSS personnalisé utilisé par votre modèle. Les variables de modèle ne fonctionneront pas ici ; juste du CSS de base.';
$string['uploadcss'] = 'Déposer un CSS (modèle {$a})';
$string['uploadcss_desc'] = 'Vous pouvez déposer un fichier CSS qui sera chargé pour votre modèle. Seulement un.';
$string['uploadjs'] = 'Déposer un JS (modèle {$a})';
$string['uploadjs_desc'] = 'Vous pouvez déposer un fichier de bibliothèque js qui sera chargé pour votre modèle. Un seul.';
